Distance to nearest hub tool : Round distance
Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 21017
Description

In the Vector analysis tools,
In the Distance to nearest hub tool,

Currently : You can choose your unit (meter, kilometer,...), meters are by default and the result is raw precise to femtometre, this is
107-15 precision.

Problem : 107-15 precision may not be pertinent when coordinate system (SCR) are precise to 10*-2 (centimeter) only.
This is my understanding of SCR... open to discussion.

User bypass : Calculate new field or virtual field (decimal 8,2) RoundDist = Round("HubDist",2)
This bypass works with every units (meters, feet, miles, kilometers, layer units).

Suggestion : Round Distance to nearest hub results, with 10-2 precision.

If accepted, there would be different approches :

- optionnal (checkbox) or basic feature. | would like it to be a basic feature, but maybe someone wants the "old" not rounded feature to
sort by sub-centimetric distance...

- round in the processing, or round at the end of the processing, or round by using attribute field definition (decimal 8,2 instead of decimal
10, not sure about that...), or use virtual fields,...

Thank you

History

#1 - 2015-06-11 05:12 AM - Giovanni Manghi
- Category set to Processing/QGIS

#2 - 2016-01-11 02:55 AM - Alexander Bruy

Not sure if we should round any calculated values not only in Hub Distance tool, but also in all other tools like Export Geometry Info, Sum Line Length etc.
One can easily get rounded values with virtual fields or by creating new field.

#3 - 2016-04-11 12:05 AM - Alexander Bruy
- Resolution set to wontfix

- Status changed from Open to Closed

It makes almost no sense for me. Reopen if necessary.
